Subject: Re: [PATCH RESEND] powerpc: make udbg 16550 boot console configurable for EMBEDDED

From: Scott Wood <[email-masked]>
Date: Tue, 23 Dec 2008 11:24:22 -0600

Peter Korsgaard wrote:
> - It doesn't respect console= and still outputs console messages even
>   if console isn't ttySx (E.G. if CONFIG_SILENT_CONSOLE is enabled in
>   U-Boot which sets 'console='

I believe it uses /chosen/linux,stdout-path; u-boot could clear that if 
silent console is desired.

> As that isn't always desirable, add a PPC_UDBG_16550_CONSOLE kconfig
> symbol to let the user disable it (only visible if CONFIG_EMBEDDED).

There's an existing CONFIG_PPC_EARLY_DEBUG that it could depend on instead.

-Scott